<script lang="ts">
import { MetaInfo } from 'vue-meta/types/vue-meta';

import {
  EventNavigation,
  Hero,
  Locations,
  Speakers,
  ContentBlock,
  Sponsors,
  CtaBox,
  Carousel,
  Faq,
} from '@/components/events/index.vue';

import { getPageMetadata } from '~/common/meta';

export default {
  name: 'Commit',
  components: {
    Hero,
    EventNavigation,
    Locations,
    Speakers,
    ContentBlock,
    Sponsors,
    CtaBox,
    Carousel,
    Faq,
  },
  nuxtI18n: false,
  layout: 'no-navigation',
  async asyncData({ $content }) {
    const doc = await $content('events/commit/index').fetch();
    return { doc };
  },
  head(): MetaInfo {
    return {
      ...getPageMetadata((this as any).doc, this.$route.path),
      script: [
        {
          src: 'https://www.eventbrite.com/static/widgets/eb_widgets.js',
        },
      ],
    };
  },
};
</script>
<template>
  <div>
    <div class="commit">
      <Hero :data="doc.hero" />
      <component
        :is="component.name"
        v-for="(component, index) in doc.components"
        :key="component.name + `-${index}`"
        :data="component.data"
      ></component>
    </div>
  </div>
</template>
<style lang="scss" scoped>
.container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.side-menu {
  z-index: 3;
}
</style>
